using UnityEngine;
using System.Collections;

public class Rotate : MonoBehaviour{
	private float angle = 0;
	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
		if (Input.GetButtonDown ("Horizontal")) {
			Debug.Log("Button down");
			//angle += 1;
			//this.transform.Rotate(new Vector3(0, 10, 0));
			//this.transform.Translate(new Vector3(0, 1, 0));
			this.transform.RotateAround(Vector3.zero, new Vector3(0, 1, 0), 10);
		}
	}
}
